Index: tmp/org.txm.progression.rcp/build.properties
===================================================================
--- tmp/org.txm.progression.rcp/build.properties	(revision 776)
+++ tmp/org.txm.progression.rcp/build.properties	(revision 777)
@@ -5,3 +5,4 @@
                plugin.xml,\
                icons/,\
                OSGI-INF/
+forceContextQualifier=737
\ No newline at end of file
Index: tmp/org.txm.progression.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.progression.rcp/META-INF/MANIFEST.MF	(revision 776)
+++ tmp/org.txm.progression.rcp/META-INF/MANIFEST.MF	(revision 777)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name
 Bundle-SymbolicName: org.txm.progression.rcp;singleton:=true
-Bundle-Version: 1.0.0.qualifier
+Bundle-Version: 1.0.0.v_qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
 Require-Bundle: org.txm.utils,
  org.eclipse.osgi;bundle-version="3.10.2",
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartEnginesManager.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartEnginesManager.java	(revision 0)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartEnginesManager.java	(revision 777)
@@ -0,0 +1,45 @@
+package org.txm.chartsengine.core;
+
+import org.eclipse.core.runtime.IProgressMonitor;
+import org.txm.EngineType;
+import org.txm.EnginesManager;
+import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
+import org.txm.core.preferences.TXMPreferences;
+
+public class ChartEnginesManager extends EnginesManager<ChartsEngine> {
+
+	@Override
+	protected boolean fetchEngines() {
+		try {
+			// creates charts engine
+			ChartsEngine.createChartsEngines();
+			ChartsEngine.setCurrrentChartsEngine(TXMPreferences.getString(ChartsEnginePreferences.CURRENT_NAME, ChartsEnginePreferences.PREFERENCES_NODE));
+			
+			TXMPreferences.alternativeNodesQualifiers.add(ChartsEnginePreferences.PREFERENCES_NODE);
+
+		} catch (Throwable e) {
+			e.printStackTrace();
+			return false;
+		}
+		return true;
+	}
+
+	@Override
+	public boolean startEngines(IProgressMonitor monitor) {
+		// TODO Auto-generated method stub
+		return false;
+	}
+
+	@Override
+	public boolean stopEngines() {
+		// TODO Auto-generated method stub
+		return false;
+	}
+
+	@Override
+	public EngineType getEnginesType() {
+		// TODO Auto-generated method stub
+		return null;
+	}
+
+}

Property changes on: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartEnginesManager.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 776)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 777)
@@ -12,6 +12,7 @@
 import org.eclipse.core.runtime.IExtensionPoint;
 import org.eclipse.core.runtime.Platform;
 import org.eclipse.core.runtime.RegistryFactory;
+import org.txm.Engine;
 import org.txm.chartsengine.core.messages.ChartsEngineCoreMessages;
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
 import org.txm.chartsengine.core.results.ChartResult;
@@ -26,18 +27,8 @@
  * @author sjacquot
  *
  */
-public abstract class ChartsEngine {
+public abstract class ChartsEngine implements Engine {
 	
-	// FIXME: should be done in an activator?
-	static	{
-		// creates charts engine
-		ChartsEngine.createChartsEngines();
-		ChartsEngine.setCurrrentChartsEngine(TXMPreferences.getString(ChartsEnginePreferences.CURRENT_NAME, ChartsEnginePreferences.PREFERENCES_NODE));
-		
-		TXMPreferences.alternativeNodesQualifiers.add(ChartsEnginePreferences.PREFERENCES_NODE);
-
-	}
-	
 	public final static String extensionPointId = "org.txm.chartsengine.chartsengine"; //$NON-NLS-1$
 	
 	/**
Index: tmp/org.txm.chartsengine.core/plugin.xml
===================================================================
--- tmp/org.txm.chartsengine.core/plugin.xml	(revision 776)
+++ tmp/org.txm.chartsengine.core/plugin.xml	(revision 777)
@@ -9,5 +9,13 @@
             class="org.txm.chartsengine.core.preferences.ChartsEnginePreferences">
       </initializer>
    </extension>
+   <extension
+         point="org.txm.EnginesManager">
+      <EngineManager
+            class="org.txm.chartsengine.core.ChartEnginesManager"
+            description="chart engines manager"
+            name="org.txm.chartsengine.core.ChartEnginesManager">
+      </EngineManager>
+   </extension>
 
 </plugin>
Index: tmp/org.txm.libs.jfreechart/build.properties
===================================================================
--- tmp/org.txm.libs.jfreechart/build.properties	(revision 776)
+++ tmp/org.txm.libs.jfreechart/build.properties	(revision 777)
@@ -2,4 +2,5 @@
                about.html,\
                about_files/,\
                lib/jcommon-1.0.21.jar,\
-               lib/jfreechart-1.0.17.jar
+               lib/jfreechart-1.0.17.jar,\
+               .
Index: tmp/org.txm.libs.jfreechart/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.libs.jfreechart/META-INF/MANIFEST.MF	(revision 776)
+++ tmp/org.txm.libs.jfreechart/META-INF/MANIFEST.MF	(revision 777)
@@ -60,5 +60,6 @@
  org.jfree.util
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
 Bundle-Vendor: www.jfree.org
-Bundle-ClassPath: lib/jcommon-1.0.21.jar,
+Bundle-ClassPath: .,
+ lib/jcommon-1.0.21.jar,
  lib/jfreechart-1.0.17.jar
Index: tmp/org.txm.para.core/build.properties
===================================================================
--- tmp/org.txm.para.core/build.properties	(revision 776)
+++ tmp/org.txm.para.core/build.properties	(revision 777)
@@ -1,4 +1,5 @@
 source.. = src/
 output.. = bin/
 bin.includes = META-INF/,\
-               .
+               .,\
+               plugin.xml
Index: tmp/org.txm.para.core/plugin.xml
===================================================================
--- tmp/org.txm.para.core/plugin.xml	(revision 0)
+++ tmp/org.txm.para.core/plugin.xml	(revision 777)
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<?eclipse version="3.4"?>
+<plugin>
+
+</plugin>

Property changes on: tmp/org.txm.para.core/plugin.xml
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.rcp.feature/build.properties
===================================================================
--- tmp/org.txm.rcp.feature/build.properties	(revision 776)
+++ tmp/org.txm.rcp.feature/build.properties	(revision 777)
@@ -1,12 +1,19 @@
 bin.includes = feature.xml,\
                EMPTYTXMHOME/,\
                TXM.sh
+
 root.linux.gtk.x86_64 = linux/
 root.linux.gtk.x86_64.permissions.755 = jre/bin/java
+
 root.macosx.cocoa.x86_64 = mac/
-root.win32.win32.x86_64 = win/,../org.txm.libs.cqp.win32/res/win64/dependencies/
-root.win32.win32.x86_64.folder._redist/css = ../org.txm.core/res/org/txm/css/
-root.win32.win32.x86_64.folder._redist/xsl = ../org.txm.core/res/org/txm/xml/xsl/
-root.win32.win32.x86_64.folder._redist/schema = ../org.txm.core/res/org/txm/xml/schema/
-root.win32.win32.x86_64.folder._redist/scripts/samples/R = ../org.txm.statsengine.r.core/R/
-root.win32.win32.x86_64.folder.samples = ../org.txm.setups/shared/all/samples/
+
+root.win32.win32.x86_64 = win/,\
+						../org.txm.libs.cqp.win32/res/win64/dependencies/
+						
+root.folder.redist/css = ../org.txm.core/res/org/txm/css/
+root.folder.redist/xsl = ../org.txm.core/res/org/txm/xml/xsl/
+root.folder.redist/schema = ../org.txm.core/res/org/txm/xml/schema/
+
+#root.win32.win32.x86_64.folder._redist/scripts/samples/R = ../org.txm.statsengine.r.core/R/
+
+root = ../org.txm.setups/shared/all
Index: tmp/org.txm.rcp.feature/linux/TXM.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.rcp.feature/linux/TXM.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream


Property changes on: tmp/org.txm.rcp.feature/linux/jre
___________________________________________________________________
Added: svn:ignore
   + **


Index: tmp/org.txm.rcp.feature/linux/install.bash
===================================================================
--- tmp/org.txm.rcp.feature/linux/install.bash	(revision 0)
+++ tmp/org.txm.rcp.feature/linux/install.bash	(revision 777)
@@ -0,0 +1,209 @@
+#!/bin/bash
+TXMINSTALLDIR="/usr/lib/TXM"
+ARCHIVEPATH=`readlink -f "$1"`
+
+USEZENITY=true
+# X11 tests
+if [ ${DISPLAY:-foobartxtm} == foobartxm ] ; then 
+	echo "use shell" ; 
+	USEZENITY=false;
+else 
+	echo "try to use display '$DISPLAY'" ; 
+	xprop -root >/dev/null &>/dev/null # pour lancer la commande sans afficher de sortie 
+	if [ $? != 0 ];then
+		echo "use shell"
+		USEZENITY=false;
+	else
+		echo "use zenity"
+	fi
+fi 
+
+function question() {
+# $1: message
+# $2: ok message
+# $3: cancel message
+if ( $USEZENITY ) ; then
+	echo "** TXM install : Question: $1"
+	zenity --question --text="$1" --ok-label="$2" --cancel-label="$3";
+	return $?
+else
+	echo "** TXM install : Question: $1"
+	echo "$2 OR $3 = Y OR n ?"
+	read LINE
+	if [ "$LINE" = "Y" ];then
+		return 0;
+	else
+		return 1;
+	fi
+fi
+} 
+
+function error() {
+# $1: message
+echo "** TXM install : Error: $1";
+if ( $USEZENITY ) ; then
+	zenity --error --text="$1";
+fi
+} 
+
+echo "use zenity : $USEZENITY"
+
+# Test usage
+USAGE="** TXMinstall: usage: install.sh <Install source directory>"
+if [ $# != 1 ]; then
+	echo "$USAGE"
+	exit 1;
+fi
+
+# Test if java exists
+java -version
+if [ $? != 0 ]; then
+	echo "** TXM install: Could not find java. Aborting."
+	exit 1;
+fi
+
+# Test if TestArchi.jar exists
+if [ ! -f "$ARCHIVEPATH/TestPreInstall.jar" ]; then
+	echo "** TXM install: TestArchi.jar is missing $ARCHIVEPATH/TestPreInstall.jar. Can't continue the installation."
+	exit 1;
+fi
+
+# Test is javaversion os and arch match to the setup
+java -jar "$ARCHIVEPATH/TestPreInstall.jar" 1.6.0 i386 Linux
+if [ $? != 0 ]; then
+	echo "** TXM install: It seems that TXM setup is not appropriate for your system. Still continue ?"
+	echo "Type Y to continue and n to stop installation. Y/n ?"
+	read LINE
+	if [ "$LINE" = "n" ];then
+		exit 1
+	fi
+fi
+
+# Test if ARCHIVEPATH exists
+if [ ! -d "$ARCHIVEPATH" ]; then
+	echo "** TXM install: archive $ARCHIVEPATH does not exist or is not a directory. Can't continue the installation."
+	exit 1;
+fi
+
+
+
+# License agreement
+question "`cat $TXMINSTALLDIR/license.txt`" "I agree" "Cancel"
+if [ $? != 0 ];then
+	echo "** TXM install: abort"
+	exit 1;
+fi
+
+echo "** TXM install: This script will now delete and create the 'TXM' directory in the directory ($TXMINSTALLDIR), create a link to the TXM binary and install R if it is not already installed."
+echo "** TXM install: Continue ? (Y/n)"
+
+read LINE
+if [ "$LINE" = "Y" ];then
+	echo ""
+else
+	echo "** TXM install: abort"
+	exit;
+fi
+
+# install R & packages
+echo "** TXM install: Install R packages"
+if [ `which R` ];then 
+	echo ""
+else
+	aptitude install r-base
+fi 
+
+sudo R --no-save < "$TXMINSTALLDIR/R/rlibs.R"
+
+if [ $? != 0 ]; then
+	error "** TXM install: R packages installation failed. Aborting."
+	exit 1;
+fi
+
+echo "** TXM install: Removing $TXMINSTALLDIR..."
+		rm -rf "$TXMINSTALLDIR"
+		if [ $? != 0 ]; then
+			echo "** TXM install: error in 'rm -rf $TXMINSTALLDIR', aborting."
+			exit 1 ;
+		fi
+
+# create TXM install dir
+mkdir "$TXMINSTALLDIR"
+if [ $? != 0 ]; then
+	echo "** TXM install: creation of directory TXMINSTALLDIR '$TXMINSTALLDIR' failed. Aborting."
+	exit 1;
+fi
+
+# copy archive
+echo "** TXM install: Copy files into TXM install directory"
+cp -rf "$ARCHIVEPATH"/* "$TXMINSTALLDIR"
+if [ $? != 0 ]; then
+	echo "** TXM install: TXMinstallation files copy failed. Aborting."
+	exit 1;
+fi
+
+# create launcher
+echo "** TXM install: create the TXM launcher"
+rm -fv "/usr/local/bin/TXM"
+rm -fv "/usr/bin/TXM" && \
+cp "$ARCHIVEPATH/TXMexec" "/usr/bin" && \
+mv "/usr/bin/TXMexec" "/usr/bin/TXM"
+
+if [ $? != 0 ]; then
+	echo "** TXM install: Failed to create TXM launcher. Aborting."
+	exit 1;
+fi
+
+echo "** TXM install: Create preferences file"
+optExec="cqi_server_path_to_executable"
+pathToCqp="$TXMINSTALLDIR/cwb/bin/cqpserver"
+optInit="cqi_server_path_to_init_file"
+pathToInit="$TXMINSTALLDIR/cwb/cqpserver.init"
+optPathToR="r_path_to_executable"
+pathToR=`which R`
+optPathToTT="TREETAGGER_INSTALL_PATH"
+pathToTT="$TXMINSTALLDIR/treetagger"
+optPathToTTMod="TREETAGGER_MODELS_PATH"
+pathToTTMod="$TXMINSTALLDIR/treetagger/models"
+
+# create STAMP
+touch "$TXMINSTALLDIR/STAMP"
+
+# set executable files
+chmod +x "$TXMINSTALLDIR/TXM"
+chmod +x "$TXMINSTALLDIR/cwb/bin"/*
+
+# set preferences
+PREF_FILE="$TXMINSTALLDIR/install.prefs"
+touch "$PREF_FILE"
+echo $optExec"="$pathToCqp >> "$PREF_FILE"
+echo $optInit"="$pathToInit >> "$PREF_FILE"
+echo $optPathToR"="$pathToR >> "$PREF_FILE"
+echo $optPathToTT"="$pathToTT >> "$PREF_FILE"
+echo $optPathToTTMod"="$pathToTTMod >> "$PREF_FILE"
+# set tools' default options
+echo "ca_show_individuals=true" >> "$PREF_FILE"
+echo "ca_show_variables=false" >> "$PREF_FILE"
+echo "ca_quality_display=.00" >> "$PREF_FILE"
+echo "ca_mass_display=###.00" >> "$PREF_FILE"
+echo "ca_dist_display=#.00" >> "$PREF_FILE"
+echo "ca_contrib_display=###.00" >> "$PREF_FILE"
+echo "ca_cos2_display=.00" >> "$PREF_FILE"
+echo "ca_coord_display=#.00" >> "$PREF_FILE"
+echo "cooc_scoreformat=E00" >> "$PREF_FILE"
+echo "cooc_minfreq=2" >> "$PREF_FILE"
+echo "cooc_mincount=2" >> "$PREF_FILE"
+echo "diag_max_value=20" >> "$PREF_FILE"
+echo "lt_fmin=2" >> "$PREF_FILE"
+echo "r_file_transfert=false" >> "$PREF_FILE"
+
+touch "$TXMINSTALLDIR/STAMP"
+
+if [ $? != 0 ]; then
+	error "** TXM install: Failed to create install TIMESTAMP file : $TXMINSTALLDIR/STAMP"
+	exit 1;
+fi
+
+echo "** TXM install: done, type TXM& in a terminal to launch the application"
+
+exit 0
Index: tmp/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartsEngine.java
===================================================================
--- tmp/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartsEngine.java	(revision 776)
+++ tmp/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartsEngine.java	(revision 777)
@@ -2,6 +2,7 @@
 import java.io.File;
 import java.util.ArrayList;
 
+import org.eclipse.core.runtime.IProgressMonitor;
 import org.rosuda.REngine.REXPMismatchException;
 import org.txm.chartsengine.core.ChartsEngine;
 import org.txm.chartsengine.r.core.preferences.RChartsEnginePreferences;
@@ -207,5 +208,29 @@
 		return null;
 	}
 
+	@Override
+	public boolean getState() {
+		// TODO Auto-generated method stub
+		return false;
+	}
 
+	@Override
+	public boolean initialize() throws Exception {
+		// TODO Auto-generated method stub
+		return false;
+	}
+
+	@Override
+	public boolean start(IProgressMonitor monitor) throws Exception {
+		// TODO Auto-generated method stub
+		return false;
+	}
+
+	@Override
+	public boolean stop() throws Exception {
+		// TODO Auto-generated method stub
+		return false;
+	}
+
+
 }
Index: tmp/org.txm.setups/shared/debian/usr/lib/TXM/install.bash
===================================================================
--- tmp/org.txm.setups/shared/debian/usr/lib/TXM/install.bash	(revision 776)
+++ tmp/org.txm.setups/shared/debian/usr/lib/TXM/install.bash	(revision 777)
@@ -1,209 +0,0 @@
-#!/bin/bash
-TXMINSTALLDIR="/usr/lib/TXM"
-ARCHIVEPATH=`readlink -f "$1"`
-
-USEZENITY=true
-# X11 tests
-if [ ${DISPLAY:-foobartxtm} == foobartxm ] ; then 
-	echo "use shell" ; 
-	USEZENITY=false;
-else 
-	echo "try to use display '$DISPLAY'" ; 
-	xprop -root >/dev/null &>/dev/null # pour lancer la commande sans afficher de sortie 
-	if [ $? != 0 ];then
-		echo "use shell"
-		USEZENITY=false;
-	else
-		echo "use zenity"
-	fi
-fi 
-
-function question() {
-# $1: message
-# $2: ok message
-# $3: cancel message
-if ( $USEZENITY ) ; then
-	echo "** TXM install : Question: $1"
-	zenity --question --text="$1" --ok-label="$2" --cancel-label="$3";
-	return $?
-else
-	echo "** TXM install : Question: $1"
-	echo "$2 OR $3 = Y OR n ?"
-	read LINE
-	if [ "$LINE" = "Y" ];then
-		return 0;
-	else
-		return 1;
-	fi
-fi
-} 
-
-function error() {
-# $1: message
-echo "** TXM install : Error: $1";
-if ( $USEZENITY ) ; then
-	zenity --error --text="$1";
-fi
-} 
-
-echo "use zenity : $USEZENITY"
-
-# Test usage
-USAGE="** TXMinstall: usage: install.sh <Install source directory>"
-if [ $# != 1 ]; then
-	echo "$USAGE"
-	exit 1;
-fi
-
-# Test if java exists
-java -version
-if [ $? != 0 ]; then
-	echo "** TXM install: Could not find java. Aborting."
-	exit 1;
-fi
-
-# Test if TestArchi.jar exists
-if [ ! -f "$ARCHIVEPATH/TestPreInstall.jar" ]; then
-	echo "** TXM install: TestArchi.jar is missing $ARCHIVEPATH/TestPreInstall.jar. Can't continue the installation."
-	exit 1;
-fi
-
-# Test is javaversion os and arch match to the setup
-java -jar "$ARCHIVEPATH/TestPreInstall.jar" 1.6.0 i386 Linux
-if [ $? != 0 ]; then
-	echo "** TXM install: It seems that TXM setup is not appropriate for your system. Still continue ?"
-	echo "Type Y to continue and n to stop installation. Y/n ?"
-	read LINE
-	if [ "$LINE" = "n" ];then
-		exit 1
-	fi
-fi
-
-# Test if ARCHIVEPATH exists
-if [ ! -d "$ARCHIVEPATH" ]; then
-	echo "** TXM install: archive $ARCHIVEPATH does not exist or is not a directory. Can't continue the installation."
-	exit 1;
-fi
-
-
-
-# License agreement
-question "`cat $TXMINSTALLDIR/license.txt`" "I agree" "Cancel"
-if [ $? != 0 ];then
-	echo "** TXM install: abort"
-	exit 1;
-fi
-
-echo "** TXM install: This script will now delete and create the 'TXM' directory in the directory ($TXMINSTALLDIR), create a link to the TXM binary and install R if it is not already installed."
-echo "** TXM install: Continue ? (Y/n)"
-
-read LINE
-if [ "$LINE" = "Y" ];then
-	echo ""
-else
-	echo "** TXM install: abort"
-	exit;
-fi
-
-# install R & packages
-echo "** TXM install: Install R packages"
-if [ `which R` ];then 
-	echo ""
-else
-	aptitude install r-base
-fi 
-
-sudo R --no-save < "$TXMINSTALLDIR/R/rlibs.R"
-
-if [ $? != 0 ]; then
-	error "** TXM install: R packages installation failed. Aborting."
-	exit 1;
-fi
-
-echo "** TXM install: Removing $TXMINSTALLDIR..."
-		rm -rf "$TXMINSTALLDIR"
-		if [ $? != 0 ]; then
-			echo "** TXM install: error in 'rm -rf $TXMINSTALLDIR', aborting."
-			exit 1 ;
-		fi
-
-# create TXM install dir
-mkdir "$TXMINSTALLDIR"
-if [ $? != 0 ]; then
-	echo "** TXM install: creation of directory TXMINSTALLDIR '$TXMINSTALLDIR' failed. Aborting."
-	exit 1;
-fi
-
-# copy archive
-echo "** TXM install: Copy files into TXM install directory"
-cp -rf "$ARCHIVEPATH"/* "$TXMINSTALLDIR"
-if [ $? != 0 ]; then
-	echo "** TXM install: TXMinstallation files copy failed. Aborting."
-	exit 1;
-fi
-
-# create launcher
-echo "** TXM install: create the TXM launcher"
-rm -fv "/usr/local/bin/TXM"
-rm -fv "/usr/bin/TXM" && \
-cp "$ARCHIVEPATH/TXMexec" "/usr/bin" && \
-mv "/usr/bin/TXMexec" "/usr/bin/TXM"
-
-if [ $? != 0 ]; then
-	echo "** TXM install: Failed to create TXM launcher. Aborting."
-	exit 1;
-fi
-
-echo "** TXM install: Create preferences file"
-optExec="cqi_server_path_to_executable"
-pathToCqp="$TXMINSTALLDIR/cwb/bin/cqpserver"
-optInit="cqi_server_path_to_init_file"
-pathToInit="$TXMINSTALLDIR/cwb/cqpserver.init"
-optPathToR="r_path_to_executable"
-pathToR=`which R`
-optPathToTT="TREETAGGER_INSTALL_PATH"
-pathToTT="$TXMINSTALLDIR/treetagger"
-optPathToTTMod="TREETAGGER_MODELS_PATH"
-pathToTTMod="$TXMINSTALLDIR/treetagger/models"
-
-# create STAMP
-touch "$TXMINSTALLDIR/STAMP"
-
-# set executable files
-chmod +x "$TXMINSTALLDIR/TXM"
-chmod +x "$TXMINSTALLDIR/cwb/bin"/*
-
-# set preferences
-PREF_FILE="$TXMINSTALLDIR/install.prefs"
-touch "$PREF_FILE"
-echo $optExec"="$pathToCqp >> "$PREF_FILE"
-echo $optInit"="$pathToInit >> "$PREF_FILE"
-echo $optPathToR"="$pathToR >> "$PREF_FILE"
-echo $optPathToTT"="$pathToTT >> "$PREF_FILE"
-echo $optPathToTTMod"="$pathToTTMod >> "$PREF_FILE"
-# set tools' default options
-echo "ca_show_individuals=true" >> "$PREF_FILE"
-echo "ca_show_variables=false" >> "$PREF_FILE"
-echo "ca_quality_display=.00" >> "$PREF_FILE"
-echo "ca_mass_display=###.00" >> "$PREF_FILE"
-echo "ca_dist_display=#.00" >> "$PREF_FILE"
-echo "ca_contrib_display=###.00" >> "$PREF_FILE"
-echo "ca_cos2_display=.00" >> "$PREF_FILE"
-echo "ca_coord_display=#.00" >> "$PREF_FILE"
-echo "cooc_scoreformat=E00" >> "$PREF_FILE"
-echo "cooc_minfreq=2" >> "$PREF_FILE"
-echo "cooc_mincount=2" >> "$PREF_FILE"
-echo "diag_max_value=20" >> "$PREF_FILE"
-echo "lt_fmin=2" >> "$PREF_FILE"
-echo "r_file_transfert=false" >> "$PREF_FILE"
-
-touch "$TXMINSTALLDIR/STAMP"
-
-if [ $? != 0 ]; then
-	error "** TXM install: Failed to create install TIMESTAMP file : $TXMINSTALLDIR/STAMP"
-	exit 1;
-fi
-
-echo "** TXM install: done, type TXM& in a terminal to launch the application"
-
-exit 0
Index: tmp/org.txm.setups/shared/debian/usr/lib/TXM/TXM.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: tmp/org.txm.core/src/java/org/txm/objects/Workspace.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Workspace.java	(revision 776)
+++ tmp/org.txm.core/src/java/org/txm/objects/Workspace.java	(revision 777)
@@ -126,11 +126,26 @@
 			if (!writeEmptyWorkspaceFile(xmlfile)) {
 				System.out.println("Error while creating workspace definition file: "+xmlfile);
 			}
+			
+			String path = TXMPreferences.getString(TBXPreferences.INSTALL_DIR, TBXPreferences.PREFERENCES_NODE);
+			File installDirectory = new File(path);
+			if (!installDirectory.exists()) {
+				System.out.println("Error: Workspace cannot found install directory: "+installDirectory.getAbsolutePath());
+				return null;
+			}
+			
+			File redistDirectory = new File(installDirectory, "redist");
+			if (!redistDirectory.exists()) {
+				System.out.println("Error: Workspace cannot found redist directory: "+redistDirectory.getAbsolutePath());
+				return null;
+			}
+			
+			FileCopy.copyFiles(redistDirectory, txmhomedir);
 
-			// the folders to copy from TXM install dir
-			BundleUtils.copyFiles("org.txm.core", "res", "org/txm/xml", "xsl", txmhomedir);
-			BundleUtils.copyFiles("org.txm.core", "res", "org/txm/xml", "schema", txmhomedir);
-			BundleUtils.copyFiles("org.txm.core", "res", "org/txm", "css", txmhomedir);
+//			// the folders to copy from TXM install dir
+//			BundleUtils.copyFiles("org.txm.core", "res", "org/txm/xml", "xsl", txmhomedir);
+//			BundleUtils.copyFiles("org.txm.core", "res", "org/txm/xml", "schema", txmhomedir);
+//			BundleUtils.copyFiles("org.txm.core", "res", "org/txm", "css", txmhomedir);
 
 			Workspace workspace = new Workspace(xmlfile);
 			workspace.save();
Index: tmp/org.txm.core/src/java/org/txm/Toolbox.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/Toolbox.java	(revision 776)
+++ tmp/org.txm.core/src/java/org/txm/Toolbox.java	(revision 777)
@@ -97,11 +97,12 @@
 		Log.info("Fetching engine managers...");
 		engines.clear();
 		//System.out.println("Contributions of "+EnginesManager.ENGINEMANAGER_EXTENSION_POINT_ID);
+		Platform.getExtensionRegistry().getExtensionPoints();
 		IConfigurationElement[] contributions = Platform.getExtensionRegistry().getConfigurationElementsFor(EnginesManager.ENGINEMANAGER_EXTENSION_POINT_ID);
 		//System.out.println("contributions: "+Arrays.toString(contributions));
 		for (int i = 0; i < contributions.length; i++) {
 			try {
-				Log.info("Registering engine: "+contributions[i].getName());
+				Log.info("Registering engine manager: "+contributions[i].getName());
 				EnginesManager<?> engine = (EnginesManager<?>)contributions[i].createExecutableExtension("class"); //$NON-NLS-1$
 				if (engine.fetchEngines()) {
 					//System.out.println("add engine: "+engine);
@@ -109,7 +110,7 @@
 				} else {
 					System.out.println(""+engine+" had no engine. Aborting its installation.");
 				}
-			} catch(CoreException e) {
+			} catch(Throwable e) {
 				e.printStackTrace();
 			} 
 		}
Index: tmp/org.txm.core.tests/src/org/txm/core/tests/junit/PluginBuildProperties.java
===================================================================
--- tmp/org.txm.core.tests/src/org/txm/core/tests/junit/PluginBuildProperties.java	(revision 0)
+++ tmp/org.txm.core.tests/src/org/txm/core/tests/junit/PluginBuildProperties.java	(revision 777)
@@ -0,0 +1,56 @@
+package org.txm.core.tests.junit;
+
+import java.io.File;
+import java.io.IOException;
+import java.util.HashMap;
+import java.util.Properties;
+
+import org.txm.utils.io.IOUtils;
+
+public class PluginBuildProperties extends TXMPluginTest {
+
+	HashMap<String, HashMap<String, String>> ext_points = new HashMap<String, HashMap<String, String>>();
+
+	@Override
+	public void TBXPluginTest(File projectDirectory, String name, String packagePath) throws IOException {
+		testPluginXMLExport(projectDirectory);
+	}
+
+	@Override
+	public void RCPPluginTest(File projectDirectory, String name, String packagePath) throws IOException {
+		File pluginXML = new File(projectDirectory, "plugin.xml");
+		if (!pluginXML.exists()) {
+			error("missing file "+pluginXML);
+		}
+
+		testPluginXMLExport(projectDirectory);
+	}
+
+	private void testPluginXMLExport(File projectDirectory) throws IOException {
+		File pluginXML = new File(projectDirectory, "plugin.xml");
+		File buildFile = new File(projectDirectory, "build.properties");
+		
+		if (!buildFile.exists()) {
+			error("no build.properties: "+buildFile.getAbsolutePath());
+			return;
+		}
+		
+		if (!pluginXML.exists()) {
+			error("no plugin.xml: "+pluginXML.getAbsolutePath());
+			return;
+		}
+		
+		Properties props = new Properties();
+		props.load(IOUtils.getReader(buildFile));
+		
+		String value = (String) props.get("bin.includes");
+		if (!value.contains("plugin.xml")) {
+			error("plugin.xml is not exported: "+pluginXML.getAbsolutePath());
+		}
+	}
+
+	@Override
+	public void gatherData() {
+	
+	}
+}
\ No newline at end of file

Property changes on: tmp/org.txm.core.tests/src/org/txm/core/tests/junit/PluginBuildProperties.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.core.tests/src/org/txm/core/tests/junit/TXMPluginTest.java
===================================================================
--- tmp/org.txm.core.tests/src/org/txm/core/tests/junit/TXMPluginTest.java	(revision 776)
+++ tmp/org.txm.core.tests/src/org/txm/core/tests/junit/TXMPluginTest.java	(revision 777)
@@ -23,11 +23,11 @@
 public abstract class TXMPluginTest {
 	public static int LEVEL = 1; // 1 errors, 2 warnings, 3 infos messages
 	int error = 0;
-	
+
 	protected ArrayList<File> projects;
 	protected ArrayList<String> messages = new ArrayList<String>();
-	
-	
+
+
 	public static File workspace = new File(System.getProperty("user.home"), "workspace079");
 
 	/**
@@ -51,7 +51,7 @@
 		Collections.sort(ret);
 		return ret;
 	}
-	
+
 	/**
 	 * store and count error messages
 	 * @param string
@@ -60,7 +60,7 @@
 		if (LEVEL >= 1) messages.add("	ERROR	"+string);
 		error++;
 	}
-	
+
 	/**
 	 * store warning messages
 	 * @param string
@@ -68,7 +68,7 @@
 	protected void warning(String string) {
 		if (LEVEL >= 2) messages.add("	WARNING	"+string);
 	}
-	
+
 	/**
 	 * store info messages
 	 * @param string
@@ -76,47 +76,47 @@
 	protected void info(String string) {
 		if (LEVEL >= 3) messages.add("	INFO	"+string);
 	}
-	
+
 	/**
 	 * All Test must starts with "super.test();" Usually ou don't need to Override this method
 	 */
 	@Test
 	public void test() {
-		
+
 		System.out.print("Testing "+this.getClass().getSimpleName()+"...");
 		try {
-		projects = getProjects();
-		
-		if (projects.size() == 0) fail("No project found in "+workspace);
-		
-		gatherData();
-		
-		int nProjectMessage = 0;
-		for (File projectDirectory : projects) {
-			messages.clear();
-			String plugin_name = projectDirectory.getName();
-			String plugin_package = plugin_name.replace(".", "/");
-			
-			if (projectDirectory.getName().endsWith(".core")) {
-				//plugin_package = plugin_package.substring(0, plugin_package.length()-5);
-				TBXPluginTest(projectDirectory, plugin_name, plugin_package);
-			} else if (projectDirectory.getName().endsWith(".rcp")) {
-				//plugin_package = plugin_package.substring(0, plugin_package.length()-4);
-				RCPPluginTest(projectDirectory, plugin_name, plugin_package);
-			} else {
-				// ignore project
-			}
-			
-			if (messages.size() > 0) {
-				if (nProjectMessage == 0) {
-					System.out.println();
-					nProjectMessage++;
+			projects = getProjects();
+
+			if (projects.size() == 0) fail("No project found in "+workspace);
+
+			gatherData();
+
+			int nProjectMessage = 0;
+			for (File projectDirectory : projects) {
+				messages.clear();
+				String plugin_name = projectDirectory.getName();
+				String plugin_package = plugin_name.replace(".", "/");
+
+				if (projectDirectory.getName().endsWith(".core")) {
+					//plugin_package = plugin_package.substring(0, plugin_package.length()-5);
+					TBXPluginTest(projectDirectory, plugin_name, plugin_package);
+				} else if (projectDirectory.getName().endsWith(".rcp")) {
+					//plugin_package = plugin_package.substring(0, plugin_package.length()-4);
+					RCPPluginTest(projectDirectory, plugin_name, plugin_package);
+				} else {
+					// ignore project
 				}
-				System.out.println(" P "+projectDirectory.getName());
-				for (String s : messages) System.out.println(s);
+
+				if (messages.size() > 0) {
+					if (nProjectMessage == 0) {
+						System.out.println();
+						nProjectMessage++;
+					}
+					System.out.println(" P "+projectDirectory.getName());
+					for (String s : messages) System.out.println(s);
+				}
+
 			}
-			
-		}
 		} catch(Exception e) {
 			e.printStackTrace();
 			fail("Internal test error: "+e.getLocalizedMessage());
@@ -125,25 +125,25 @@
 			fail("Errors during test "+this.getClass().getName());
 		} else System.out.println("OK!");
 	}
-	
+
 	/**
 	 * fetch info before testing individually the projects
 	 */
 	public abstract void gatherData();
 
 
-/**
- * 
- * @param projectDirectory
- * @return find out the main Java src directory of the project
- */
+	/**
+	 * 
+	 * @param projectDirectory
+	 * @return find out the main Java src directory of the project
+	 */
 	protected static File getJavaSrcDirectory(File projectDirectory) {
 		File javaSrcDirectory = new File(projectDirectory, "src/main/java/");
 		if (!javaSrcDirectory.exists()) javaSrcDirectory = new File(projectDirectory, "src/java");
 		if (!javaSrcDirectory.exists()) javaSrcDirectory = new File(projectDirectory, "src/");
 		return javaSrcDirectory;
 	}
-	
+
 	/**
 	 * test a TBX project
 	 * 
@@ -153,7 +153,7 @@
 	 * @throws Exception
 	 */
 	public abstract void TBXPluginTest(File projectDirectory, String name, String packagePath) throws Exception;
-	
+
 	/**
 	 * test a RCP project
 	 * @param projectDirectory
Index: tmp/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEngines.java
===================================================================
--- tmp/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEngines.java	(revision 776)
+++ tmp/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEngines.java	(revision 777)
@@ -1,11 +1,10 @@
 package org.txm.annotation.core;
 
 import org.eclipse.core.runtime.IProgressMonitor;
-import org.txm.Engine;
 import org.txm.EngineType;
 import org.txm.EnginesManager;
 
-public abstract class AnnotationEngines extends EnginesManager<Engine> {
+public abstract class AnnotationEngines extends EnginesManager<AnnotationEngine> {
 	
 	public AnnotationEngines() {
 		
@@ -14,7 +13,8 @@
 	@Override
 	public boolean startEngines(IProgressMonitor monitor) {
 		
-		for (Engine e : engines.values()) {
+		for (AnnotationEngine e : engines.values()) {
+			System.out.println(e);
 //			AnnotationEngine se = (AnnotationEngine)e;
 //			if (monitor != null) monitor.subTask("Starting "+ se.getName()+" annotation engine.");
 //			try {
@@ -28,7 +28,8 @@
 
 	@Override
 	public boolean stopEngines() {
-		for (Engine e : engines.values()) {
+		for (AnnotationEngine e : engines.values()) {
+			System.out.println(e);
 //			AnnotationEngine se = (AnnotationEngine)e;
 //			System.out.println("Stoping "+ se.getName()+" annotation engine.");
 //			try {
Index: tmp/org.txm.annotation.core/build.properties
===================================================================
--- tmp/org.txm.annotation.core/build.properties	(revision 776)
+++ tmp/org.txm.annotation.core/build.properties	(revision 777)
@@ -1,8 +1,7 @@
+source.. = src/
 output.. = bin/
 bin.includes = plugin.xml,\
-               libs/hsqldb.jar,\
-               libs/postgresql-9.4.1207.jre6.jar,\
-               libs/sqlite-jdbc-3.8.11.2.jar,\
+               META-INF/,\
                .,\
-               source.. = src/,\
-               bin/
+               libs/
+
Index: tmp/org.txm.annotation.core/plugin.xml
===================================================================
--- tmp/org.txm.annotation.core/plugin.xml	(revision 776)
+++ tmp/org.txm.annotation.core/plugin.xml	(revision 777)
@@ -4,6 +4,11 @@
    <extension-point id="org.txm.annotation.core.AnnotationEngine" name="org.txm.annotation.core.AnnotationEngine" schema="schema/org.txm.annotation.core.AnnotationEngine.exsd"/>
    <extension
          point="org.txm.EnginesManager">
+      <EngineManager
+            class="org.txm.annotation.core.AnnotationEngines"
+            description="description"
+            name="org.txm.annotation.core.AnnotationEngines">
+      </EngineManager>
    </extension>
    <extension
          point="org.eclipse.core.runtime.preferences">
Index: tmp/org.txm.annotation.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.annotation.core/META-INF/MANIFEST.MF	(revision 776)
+++ tmp/org.txm.annotation.core/META-INF/MANIFEST.MF	(revision 777)
@@ -15,9 +15,7 @@
  org.eclipse.persistence.antlr;bundle-version="3.2.0";visibility:=reexport,
  org.eclipse.osgi;bundle-version="3.10.2";visibility:=reexport,
  org.txm.searchengine.core;bundle-version="1.0.0";visibility:=reexport,
- org.eclipse.ui.workbench;visibility:=reexport,
- osgi.enterprise;bundle-version="4.2.0";visibility:=reexport,
- org.eclipse.jst.common.frameworks;bundle-version="1.1.601"
+ org.eclipse.ui.workbench;visibility:=reexport
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
 Bundle-ActivationPolicy: lazy
 Export-Package: org.hsqldb,
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartsEngine.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartsEngine.java	(revision 776)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartsEngine.java	(revision 777)
@@ -10,6 +10,7 @@
 import java.io.IOException;
 import java.util.ArrayList;
 
+import org.eclipse.core.runtime.IProgressMonitor;
 import org.jfree.chart.ChartFactory;
 import org.jfree.chart.JFreeChart;
 import org.jfree.chart.axis.NumberAxis;
@@ -1581,6 +1582,38 @@
 	}
 
 
+
+	@Override
+	public boolean getState() {
+		// TODO Auto-generated method stub
+		return false;
+	}
+
+
+
+	@Override
+	public boolean initialize() throws Exception {
+		// TODO Auto-generated method stub
+		return false;
+	}
+
+
+
+	@Override
+	public boolean start(IProgressMonitor monitor) throws Exception {
+		// TODO Auto-generated method stub
+		return false;
+	}
+
+
+
+	@Override
+	public boolean stop() throws Exception {
+		// TODO Auto-generated method stub
+		return false;
+	}
+
+
 // FIXME: old version
 //	/**
 //	 * Constrains axes ticks to square aspect ratio.
Index: tmp/org.txm.chartsengine.jfreechart.core/build.properties
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/build.properties	(revision 776)
+++ tmp/org.txm.chartsengine.jfreechart.core/build.properties	(revision 777)
@@ -1,4 +1,5 @@
 source.. = src/
 output.. = bin/
 bin.includes = META-INF/,\
-               .
+               .,\
+               plugin.xml
